| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::AbstractAlbumTreeView::ContextMenuElement Class Referenceabstract

Add a context menu element which can add actions to the context menu when the menu is generated. More...

Inheritance diagram for Digikam::AbstractAlbumTreeView::ContextMenuElement:

## Public Member Functions
virtual void | addActions (AbstractAlbumTreeView *view, ContextMenuHelper &cmh, Album *album)=0
| Add actions to the context menu being generated.

## Detailed Description

First, addCustomContextMenuActions is called, then all elements' addActions method is called in order of addition.

## Member Function Documentation

## ◆ addActions()

virtual void Digikam::AbstractAlbumTreeView::ContextMenuElement::addActions | ( | AbstractAlbumTreeView * | view,
|  | ContextMenuHelper & | cmh,
|  | Album * | album
| ) |  |
| pure virtual

Parameters

  view | The AbstractAlbumTreeView which generates the menu
  cmh | helper object to create the context menu
  album | the album on which the context menu will be created. May be null if it is requested on no tag entry